OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_DataMapIteratorOfPointVertexMap Class Reference

`#include <StepToTopoDS_DataMapIteratorOfPointVertexMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_DataMapIteratorOfPointVertexMap ()
Standard_EXPORT | StepToTopoDS_DataMapIteratorOfPointVertexMap (const StepToTopoDS_PointVertexMap &aMap)
Standard_EXPORT void | Initialize (const StepToTopoDS_PointVertexMap &aMap)
Standard_EXPORT const Handle_StepGeom_CartesianPoint & | Key () const
Standard_EXPORT const TopoDS_Vertex & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_DataMapIteratorOfPointVertexMap::StepToTopoDS_DataMapIteratorOfPointVertexMap | ( |  | ) |

Standard_EXPORT StepToTopoDS_DataMapIteratorOfPointVertexMap::StepToTopoDS_DataMapIteratorOfPointVertexMap | ( | const StepToTopoDS_PointVertexMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void StepToTopoDS_DataMapIteratorOfPointVertexMap::Initialize | ( | const StepToTopoDS_PointVertexMap & | aMap | ) |

Standard_EXPORT const Handle_StepGeom_CartesianPoint& StepToTopoDS_DataMapIteratorOfPointVertexMap::Key | ( |  | ) | const

void StepToTopoDS_DataMapIteratorOfPointVertexMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_DataMapIteratorOfPointVertexMap::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_DataMapIteratorOfPointVertexMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TopoDS_Vertex& StepToTopoDS_DataMapIteratorOfPointVertexMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepToTopoDS_DataMapIteratorOfPointVertexMap.hxx